## Class template custom_event_category_mapping

boost::log::sinks::event_log::custom_event_category_mapping — Customizable event category mapping.

## Synopsis

    // In header: <boost/log/sinks/event_log_backend.hpp>

    template<typename AttributeValueT = int>
    class custom_event_category_mapping :
      public basic_custom_mapping< event_category, int >
    {
    public:

      // public member functions
      explicit custom_event_category_mapping(attribute_name const &);
    };

## Description

The class allows to setup a custom mapping between an attribute and event categories. The mapping should be initialized similarly to the standard `map` container, by using indexing operator and assignment.

### `custom_event_category_mapping` public member functions

1.     explicit custom_event_category_mapping(attribute_name const & name);

   Constructor

   Parameters:

   `name` | Attribute name